
from LIB.BACKEND import DBManager
from LIB.MIDDLE.CellStateEstimation.Common import log
import datetime
import pandas as pd
import numpy as np
import os   
from DataPreProcess import DataPreProcess

dbManager = DBManager.DBManager()
#basePath = r'C:\Users\zhuxi\My_VSCode\B 电池低温充电失败次数概率排名\result'
fileNames = os.listdir('result')  #获取文件夹中所有文件的名称
data_GMGC=pd.DataFrame()
for k in range(10):
    data_merge = pd.read_csv('result'+'\\'+fileNames[0])
    df_sheetCat=DataPreProcess.data_split_by_status(DataPreProcess,data_merge, drive_interval_threshold=120, charge_interval_threshold=300, drive_stand_threshold=120, charge_stand_threshold=300)
    data_charge=df_sheetCat[df_sheetCat['data_status']=='charge']
    unique_status_idx=np.unique(data_charge.data_split_by_status.values)
    data_I3=pd.DataFrame()
    for n in unique_status_idx:
        df_charge_buff=data_charge[data_charge.data_split_by_status==n]
        list_I=df_charge_buff.loc[2:6,'总电流[A]'].values.tolist()
        if((3 in list_I) and (df_charge_buff['总电流[A]'].value_counts()['3']>3)): 
            data_I3=data_I3.append(df_charge_buff)
    data_GMGC=data_GMGC.append(data_I3)
  
data_GMGC.to_csv('test7.csv')